/*************************************************************************************
* This file is based on the Pipe2 project (http://pipe2.sourceforge.net/).
* The source code for this project is available under the OSL license 3.0 available at
* http://www.opensource.org/licenses/osl-3.0.php. By using this file you need to accept
* the terms and conditions of this license. For further details see OSL_license.txt 
* in the root folder of this project.
************************************************************************************/

/*
 * Created on 26-Jul-2005
 */

package pipe.analysis.reachability;


/**
 * @author Nadeem
 */

//This file is based on the Pipe2 project (http://pipe2.sourceforge.net/).

public class StateSpaceTooBigException 
        extends Exception {

   
   public StateSpaceTooBigException() {
      super("The entire state space is too large to be held in memory.");
   }
   
   
   public StateSpaceTooBigException(int n) {
      super("There are greater than " + n +
               "tangible states. There is insufficient memory to hold them all.");
   }
   
}
